org.apache.catalina.servlets

## Class CGIServlet.HTTPHeaderInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.catalina.servlets.CGIServlet.HTTPHeaderInputStream

- All Implemented Interfaces:
    Closeable, AutoCloseable
  Enclosing class:
    CGIServlet

      protected static class CGIServlet.HTTPHeaderInputStream
      extends InputStream

  This is an input stream specifically for reading HTTP headers. It reads upto and including the two blank lines terminating the headers. It allows the content to be read using bytes or characters as appropriate.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `read()`

    - ### Methods inherited from class java.io.InputStream

      `available, close, mark, markSupported, read, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### read

          public int read()
                   throws IOException

      Specified by:
        `read` in class `InputStream`
      Throws:
        `IOException`
      See Also:
        `InputStream.read()`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.